Tool
mail_contact_create
Add a contact to an audience
Add a contact to an audience
Behavior
- HTTP
POST /mail/audiences/:audienceId/contacts
Arguments
Name | Type | Required | Description |
|---|---|---|---|
email | string | • | Contact email address |
properties | object | — | Custom key/value properties (e.g. first_name, last_name) |
audience_id | string | • | Audience the contact belongs to |
unsubscribed | boolean | — | Marketing opt-out flag |
Response
Field | Type | Always | Description |
|---|---|---|---|
id | string | • | Contact id |
email | string | • | Contact email address, normalized to lowercase |
createdAt | string | • | When the contact was created (ISO 8601 UTC) |
updatedAt | string | • | When the contact was last modified (ISO 8601 UTC) |
audienceId | string | • | Audience the contact belongs to |
properties | string | — | Custom key/value properties (e.g. first_name, last_name) |
unsubscribed | boolean | • | Marketing opt-out flag for this audience |
Try it
Add a contact to an audience.